using API.Controllers;
using DbContextLib;
using Microsoft.AspNetCore.Mvc;
using Microsoft.EntityFrameworkCore;
using Microsoft.Extensions.Logging.Abstractions;
using Model.Business;
using Model.DTO;
using Services;

namespace TestAPI
{
    public class UserUnitTest
    {
        private UserController userController = new UserController(new UserDataService(new UserDbContext(new DbContextOptions<UserDbContext>())),new NullLogger<UserController>());

        [Fact]
        public void getById_success()
        {
            var getUsers = userController.GetUserById(1);
            Assert.IsType<OkObjectResult>(getUsers);

            var userDto = (getUsers as OkObjectResult)?.Value as UserDTO;
            Assert.NotNull(userDto);
            Assert.IsType<UserDTO>(userDto);
            Assert.Equal(1,userDto.Id);
            Assert.Equal("johnny", userDto.Username);
        }
    }
}